include $(TOPDIR)/rules.mk

PKG_NAME:=iopsys-analytics
PKG_RELEASE:=$(COMMITCOUNT)
PKG_LICENSE:=PROPRIETARY
PKG_SOURCE_PROTO:=git
PKG_SOURCE_VERSION:=25e32ac5a860aec6e53e3449565b71595073e014
PKG_SOURCE_URL:=https://dev.iopsys.eu/iopsys/iopsys-analytics.git
PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION)_$(PKG_SOURCE_VERSION).tar.xz
PKG_MIRROR_HASH:=skip

include $(INCLUDE_DIR)/package.mk

define Package/$(PKG_NAME)
  CATEGORY:=Utilities
  TITLE:=Analytics tweaks for IOPSYS CI/CD purposes

  # setting core dump limit
  DEPENDS+=                                             \
    +prlimit                                            \
  # monitoring
  DEPENDS+=                                             \
    +collectd                                           \
    +collectd-mod-cpu                                   \
    +collectd-mod-exec                                  \
    +collectd-mod-load                                  \
    +collectd-mod-memory                                \
    +collectd-mod-network                               \
    +collectd-mod-processes                             \
    +collectd-mod-write-http                            \
    +@PACKAGE_COLLECTD_ENCRYPTED_NETWORK                \
  # remote syslog
  DEPENDS+=                                             \
    +@PACKAGE_syslog-ng:SYSLOGNG_LOGROTATE              \
    +PACKAGE_fluent-bit:logrotate                       \
    +@DMCLI_REMOTE_CONNECTION
  # tools used in development/testing
  DEPENDS+=                                             \
    +iperf3

endef

define Package/$(PKG_NAME)/description
        Analytics tweaks for IOPSYS internal CI/CD purposes
        e.g. syslog, system health, coredumps...
endef

Build/Compile=

define Package/$(PKG_NAME)/install
	$(CP) -r $(PKG_BUILD_DIR)/files/common/*  $(1)/
ifneq ($(CONFIG_PACKAGE_fluent-bit),)
	$(CP) -r $(PKG_BUILD_DIR)/files/fluent-bit/*  $(1)/
endif
ifneq ($(CONFIG_PACKAGE_syslog-ng),)
	$(CP) -r $(PKG_BUILD_DIR)/files/syslog-ng/*  $(1)/
endif
endef

$(eval $(call BuildPackage,$(PKG_NAME)))
